Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90	(revision 257)
@@ -667,240 +853,8 @@
   REAL(r_std), SAVE    ::  tau_ngd = 50.
   REAL(r_std), SAVE    ::  coeff_tau_longterm = 3.
-  ! used in stomate_data and in stomate_season
   REAL(r_std), SAVE    ::  tau_longterm 
-  !
-  !-
-  ! stomate_litter
-  !-
-  ! scaling depth for soil activity (m)
-  REAL(r_std), SAVE    :: z_decomp = 0.2
-  !
-  !-
-  ! stomate_lpj
-  !-
-  REAL(r_std), SAVE    :: frac_turnover_daily = 0.55
-  !
-  !-
-  ! stomate_npp
-  !-
-  ! maximum fraction of allocatable biomass used for maintenance respiration
-  REAL(r_std), SAVE   :: tax_max = 0.8
-  !
-  !-
-  ! stomate_phenology
-  !- 
-  ! take carbon from atmosphere if carbohydrate reserve too small?
-  LOGICAL, SAVE                                         :: always_init = .FALSE.
-  ! minimum time (d) since last beginning of a growing season
-  REAL(r_std), SAVE                                      :: min_growthinit_time = 300.
-  ! moisture availability above which moisture tendency doesn't matter
-  REAL(r_std), SAVE                                   :: moiavail_always_tree = 1.0
-  REAL(r_std), SAVE                                   :: moiavail_always_grass = 0.6
-  ! monthly temp. above which temp. tendency doesn't matter
-  REAL(r_std), SAVE                                   ::  t_always
-  REAL(r_std), SAVE                                   ::  t_always_add = 10.
-  !
-  !-
-  ! stomate_season
-  !-
-  ! rapport maximal GPP/GGP_max pour dormance
-  REAL(r_std), SAVE                                  :: gppfrac_dormance = 0.2
-  ! minimum gpp considered as not "lowgpp"
-  REAL(r_std), SAVE                                  :: min_gpp_allowed = 0.3
-  ! tau (year) for "climatologic variables
-  REAL(r_std), SAVE                                  :: tau_climatology = 20
-  ! parameters for herbivore activity
-  REAL(r_std), SAVE                                  :: hvc1 = 0.019
-  REAL(r_std), SAVE                                  :: hvc2 = 1.38
-  REAL(r_std), SAVE                                  :: leaf_frac_hvc =.33
-  !
-  !-
-  ! stomate_vmax
-  !-
-  ! offset (minimum relative vcmax)
-  REAL(r_std), SAVE                                      :: vmax_offset = 0.3
-  ! leaf age at which vmax attains vcmax_opt (in fraction of critical leaf age)
-  REAL(r_std), SAVE                                      :: leafage_firstmax = 0.03
-  ! leaf age at which vmax falls below vcmax_opt (in fraction of critical leaf age)
-  REAL(r_std), SAVE                                      :: leafage_lastmax = 0.5
-  ! leaf age at which vmax attains its minimum (in fraction of critical leaf age)
-  REAL(r_std), SAVE                                      :: leafage_old = 1.
-
-
-!--------------------------
-!--------------------------
-! ARRAYS-PARAMETERS
-!--------------------------
-!--------------------------
-  !-
-  ! condveg
-  !-
-  !   The correspondance table for the soil color numbers and their albedo
-  !
-  REAL(r_std), DIMENSION(classnb) :: vis_dry = (/0.24, 0.22, 0.20, 0.18, 0.16, 0.14, 0.12, 0.10, 0.27/)
-  REAL(r_std), DIMENSION(classnb) :: nir_dry = (/0.48, 0.44, 0.40, 0.36, 0.32, 0.28, 0.24, 0.20, 0.55/)  
-  REAL(r_std), DIMENSION(classnb) :: vis_wet = (/0.12, 0.11, 0.10, 0.09, 0.08, 0.07, 0.06, 0.05, 0.15/)  
-  REAL(r_std), DIMENSION(classnb) :: nir_wet = (/0.24, 0.22, 0.20, 0.18, 0.16, 0.14, 0.12, 0.10, 0.31/)
-  !   
-  ! Nathalie, introduction d'un albedo moyen, VIS+NIR
-  ! Les valeurs suivantes correspondent a la moyenne des valeurs initiales
-  !  REAL(stnd), DIMENSION(classnb) :: albsoil_vis = (/0.18, 0.165, 0.15, 0.135, 0.12, 0.105, 0.09, 0.075, 0.21/)
-  !  REAL(stnd), DIMENSION(classnb) :: albsoil_nir = (/0.36, 0.33, 0.30, 0.27, 0.24, 0.21, 0.18, 0.15, 0.43/)
-  ! les valeurs retenues accentuent le contraste entre equateur et Sahara. 
-  ! On diminue aussi l'albedo des deserts (tous sauf Sahara)
-  REAL(r_std), DIMENSION(classnb) :: albsoil_vis = (/0.18, 0.16, 0.16, 0.15, 0.12, 0.105, 0.09, 0.075, 0.25/)
-  REAL(r_std), DIMENSION(classnb) :: albsoil_nir = (/0.36, 0.34, 0.34, 0.33, 0.30, 0.25, 0.20, 0.15, 0.45/)
-
-  !-
-  ! lpj_fire
-  !-
-
-  ! What fraction of a burned plant compartment goes into the atmosphere
-  !   (rest into litter)
-  REAL(r_std), SAVE, DIMENSION(nparts) :: co2frac = (/ .95, .95, 0., 0.3, 0., 0., .95, .95 /)
-
-  !-
-  ! stomate_litter 
-  !-
-
-  ! C/N ratio
-  REAL(r_std), SAVE, DIMENSION(nparts) :: CN = 40.0 
-  ! Lignine/C ratio of the different plant parts
-  REAL(r_std), SAVE, DIMENSION(nparts) :: LC = (/ 0.22, 0.35, 0.35, 0.35, 0.35, 0.22, 0.22, 0.22 /)
-  ! corresponding to frac_soil(istructural,iactive,iabove) 
-  REAL(r_std), SAVE      ::  frac_soil_struct_aa = .55
-  ! corresponding to frac_soil(istructural,iactive,ibelow)
-  REAL(r_std), SAVE      :: frac_soil_struct_ab = .45
-  ! corresponding to frac_soil(istructural,islow,iabove)
-  REAL(r_std), SAVE      ::  frac_soil_struct_sa = .7
-  ! corresponding to frac_soil(istructural,islow,ibelow) 
-  REAL(r_std), SAVE      ::  frac_soil_struct_sb = .7
-  ! corresponding to frac_soil(imetabolic,iactive,iabove)
-  REAL(r_std), SAVE      ::  frac_soil_metab_aa = .45
-  ! corresponding to frac_soil(imetabolic,iactive,ibelow)
-  REAL(r_std), SAVE      ::  frac_soil_metab_ab = .45
-  !-
-  ! stomate_soilcarbon
-  !-
-  ! frac_carb_coefficients
-  ! from active pool: depends on clay content
-  ! correspnding to  frac_carb(:,iactive,iactive)
-  REAL(r_std), SAVE      :: frac_carb_aa = 0.0
-  ! correspnding to  frac_carb(:,iactive,ipassive)
-  REAL(r_std), SAVE      :: frac_carb_ap = 0.004
-  !frac_carb(;;iactive,islow) is computed in stomate_soilcarbon.f90
-  !-
-  ! from slow pool
-  ! correspnding to  frac_carb(:,islow,islow)
-  REAL(r_std), SAVE      :: frac_carb_ss = 0.0  
-  ! correspnding to  frac_carb(:,islow,iactive)
-  REAL(r_std), SAVE      :: frac_carb_sa = .42
-  ! correspnding to  frac_carb(:,islow,ipassive)
-  REAL(r_std), SAVE      :: frac_carb_sp = .03
-  !-
-  ! from passive pool
-  ! correspnding to  frac_carb(:,ipassive,ipassive)
-  REAL(r_std), SAVE      :: frac_carb_pp = .0
-  ! correspnding to  frac_carb(:,ipassive,iactive)
-  REAL(r_std), SAVE      :: frac_carb_pa = .45
-  ! correspnding to  frac_carb(:,ipassive,islow)
-  REAL(r_std), SAVE      :: frac_carb_ps = .0
- 
-
-!----------------------------------------
-!---------------------------------------
-! COEFFICIENTS OF EQUATIONS
-!-------------------------------------
-!---------------------------------------
-
-  !---------
-  ! SECHIBA
-  !---------
-  !-
-  ! diffuco
-  !-
-  REAL(r_std),PARAMETER :: Tetens_1 = 0.622   
-  REAL(r_std),PARAMETER :: Tetens_2 = 0.378
-  REAL(r_std),PARAMETER :: std_ci_frac = 0.667
-  REAL(r_std),PARAMETER :: alpha_j = 0.8855
-  REAL(r_std),PARAMETER :: curve_assim = 0.7
-  REAL(r_std),PARAMETER :: WJ_coeff1 = 4.5
-  REAL(r_std),PARAMETER :: WJ_coeff2 = 10.5
-  REAL(r_std),PARAMETER :: Vc_to_Rd_ratio = 0.011
-  REAL(r_std),PARAMETER :: O2toCO2_stoechio = 1.6
-  REAL(r_std),PARAMETER :: mmol_to_m_1 = 0.0244
-  REAL(r_std),PARAMETER  :: RG_to_PAR = 0.5 
-  REAL(r_std),PARAMETER  :: W_to_mmol = 4.6 ! W_to_mmol * RG_to_PAR = 2.3
-  !
-  REAL(r_std), SAVE      :: lai_level_depth = .15
-  REAL(r_std), SAVE      :: x1_coef =  0.177
-  REAL(r_std), SAVE      :: x1_Q10 =  0.069
-  REAL(r_std), SAVE      :: quantum_yield =  0.092
-  REAL(r_std), SAVE      :: kt_coef = 0.7     
-  REAL(r_std), SAVE      :: kc_coef = 39.09
-  REAL(r_std), SAVE      :: Ko_Q10 = .085
-  REAL(r_std), SAVE      :: Oa = 210000.
-  REAL(r_std), SAVE      :: Ko_coef =  2.412
-  REAL(r_std), SAVE      :: CP_0 = 42.
-  REAL(r_std), SAVE      :: CP_temp_coef = 9.46 
-  REAL(r_std), SAVE      :: CP_temp_ref = 25.
-  !
-  REAL(r_std), SAVE, DIMENSION(2)  :: rt_coef = (/ 0.8, 1.3 /) 
-  REAL(r_std), SAVE, DIMENSION(2)  :: vc_coef = (/ 0.39, 0.3 /)
-  !
-  ! coefficients of the polynome of degree 5 used inthe equation of coeff_dew_veg
-  REAL(r_std), SAVE, DIMENSION(6)     :: dew_veg_poly_coeff = &
-  & (/ 0.887773, 0.205673, 0.110112, 0.014843,  0.000824,  0.000017 /) 
- 
-  !---------
-  ! LPJ
-  !---------
-  !-
-  ! lpj_crown
-  !-
-  REAL(r_std), SAVE      :: pipe_tune_exp_coeff = 1.6 
-  !
-  !-
-  ! lpj_establish
-  !-
-  REAL(r_std), SAVE      :: establish_scal_fact = 15.
-  REAL(r_std), SAVE      :: fpc_crit_max = .075
-  REAL(r_std), SAVE      :: fpc_crit_min= .05 
-  !
-  !-
-  ! lpj_fire
-  !-
-  REAL(r_std), SAVE, DIMENSION(3) :: bcfrac_coeff = (/ .3,  1.3,  88.2 /) 
-  REAL(r_std), SAVE, DIMENSION(4)  :: firefrac_coeff = (/ 0.45, 0.8, 0.6, 0.13 /)
-  !
-  !-
-  ! lpj_gap
-  !- 
-  REAL(r_std), SAVE      ::  availability_fact = 0.02
-  REAL(r_std), SAVE      ::  vigour_ref = 0.17
-  REAL(r_std), SAVE      ::  vigour_coeff = 70. 
-  !-
-  ! lpj_pftinout
-  !-
-  REAL(r_std), SAVE      :: RIP_time_min = 1.25
-  REAL(r_std), SAVE      :: npp_longterm_init = 10. 
-  REAL(r_std), SAVE      :: everywhere_init = 0.05
-  !
-
-  !---------
-  ! STOMATE
-  !---------
-  !-
-  ! stomate_alloc
-  !- 
-  REAL(r_std), PARAMETER  ::  max_possible_lai = 10. 
-  REAL(r_std), PARAMETER  ::  Nlim_Q10 = 10. 
-  !
-  REAL(r_std), SAVE      :: lai_max_to_happy = 0.5  
-  REAL(r_std), SAVE  ::  Nlim_tref = 25.
-  !
-  !-
-  ! stomate_data
-  !-
+
+  ! 3. Coefficients of equations
+
   REAL(r_std), SAVE  :: bm_sapl_carbres = 5.
   REAL(r_std), SAVE  :: bm_sapl_sapabove = 0.5
@@ -920,11 +874,39 @@
   REAL(r_std), SAVE, DIMENSION(2)  :: maxdia_coeff =(/ 100., 0.01/)
   REAL(r_std), SAVE, DIMENSION(4)  :: bm_sapl_leaf = (/ 4., 4., .8, 5./)
-  !
-  !-
-  ! stomate_litter
-  !-
-  REAL(r_std), PARAMETER    :: Q10 = 10.
-  !
-  REAL(r_std), SAVE      :: metabolic_ref_frac = 0.85
+
+
+
+                              !--------------------!
+                              ! stomate_litter.f90 !
+                              !--------------------!
+
+
+  ! 1. Scalar
+
+  ! scaling depth for soil activity (m)
+  REAL(r_std), SAVE    :: z_decomp = 0.2
+
+  ! 2. Arrays
+
+  ! C/N ratio
+  REAL(r_std), SAVE, DIMENSION(nparts) :: CN = 40.0 
+  ! Lignine/C ratio of the different plant parts
+  REAL(r_std), SAVE, DIMENSION(nparts) :: LC = (/ 0.22, 0.35, 0.35, 0.35, 0.35, 0.22, 0.22, 0.22 /)
+  ! corresponding to frac_soil(istructural,iactive,iabove) 
+  REAL(r_std), SAVE      ::  frac_soil_struct_aa = .55
+  ! corresponding to frac_soil(istructural,iactive,ibelow)
+  REAL(r_std), SAVE      :: frac_soil_struct_ab = .45
+  ! corresponding to frac_soil(istructural,islow,iabove)
+  REAL(r_std), SAVE      ::  frac_soil_struct_sa = .7
+  ! corresponding to frac_soil(istructural,islow,ibelow) 
+  REAL(r_std), SAVE      ::  frac_soil_struct_sb = .7
+  ! corresponding to frac_soil(imetabolic,iactive,iabove)
+  REAL(r_std), SAVE      ::  frac_soil_metab_aa = .45
+  ! corresponding to frac_soil(imetabolic,iactive,ibelow)
+  REAL(r_std), SAVE      ::  frac_soil_metab_ab = .45
+
+  ! 3. Coefficients of equations
+
+  REAL(r_std), SAVE      :: metabolic_ref_frac = 0.85  ! used by litter and soilcarbon
   REAL(r_std), SAVE      :: metabolic_LN_ratio = 0.018    
   REAL(r_std), SAVE      :: tau_metabolic = .066
@@ -934,34 +916,109 @@
   REAL(r_std), SAVE      :: litter_struct_coef = 3.
   REAL(r_std), SAVE, DIMENSION(3)   :: moist_coeff = (/ 1.1,  2.4,  0.29 /)
-  !
-  !-
-  ! stomate_phenology
-  !-
+
+
+
+                             !-----------------!
+                             ! stomate_lpj.f90 !
+                             !-----------------!
+
+  ! 1. Scalar
+
+  REAL(r_std), SAVE    :: frac_turnover_daily = 0.55
+
+
+                             !-----------------!
+                             ! stomate_npp.f90 !
+                             !-----------------!
+
+  ! 1. Scalar
+
+  ! maximum fraction of allocatable biomass used for maintenance respiration
+  REAL(r_std), SAVE   :: tax_max = 0.8
+
+
+                             !-----------------------!
+                             ! stomate_phenology.f90 !
+                             !-----------------------!
+
+
+
+  ! 1. Scalar
+
+  ! take carbon from atmosphere if carbohydrate reserve too small?
+  LOGICAL, SAVE                                         :: always_init = .FALSE.
+  ! minimum time (d) since last beginning of a growing season
+  REAL(r_std), SAVE                                      :: min_growthinit_time = 300.
+  ! moisture availability above which moisture tendency doesn't matter
+  REAL(r_std), SAVE                                   :: moiavail_always_tree = 1.0
+  REAL(r_std), SAVE                                   :: moiavail_always_grass = 0.6
+  ! monthly temp. above which temp. tendency doesn't matter
+  REAL(r_std), SAVE                                   ::  t_always
+  REAL(r_std), SAVE                                   ::  t_always_add = 10.
+
+  ! 3. Coefficients of equations
+  
   REAL(r_std), SAVE      :: gddncd_ref = 603.
   REAL(r_std), SAVE      :: gddncd_curve = 0.0091
   REAL(r_std), SAVE      :: gddncd_offset = 64.
-  !
-  !-
-  ! stomate_prescribe
-  !-
+
+
+
+
+                             !-----------------------!
+                             ! stomate_prescribe.f90 !
+                             !-----------------------!
+
+  ! 3. Coefficients of equations
+
   REAL(r_std), SAVE      :: cn_tree = 4.
   REAL(r_std), SAVE      :: bm_sapl_rescale = 40.
-  !
-  !-
-  ! stomate_resp
-  !-
+
+
+
+                             !------------------!
+                             ! stomate_resp.f90 !
+                             !------------------!
+
+  ! 3. Coefficients of equations
+
   REAL(r_std), SAVE      :: maint_resp_min_vmax = 0.3  
   REAL(r_std), SAVE      :: maint_resp_coeff = 1.4
-  !
-  !-
-  ! stomate_season
-  !-
-  REAL(r_std), SAVE  :: ncd_max_year = 3.
-  REAL(r_std), SAVE  :: gdd_threshold = 5.
-  REAL(r_std), SAVE  :: green_age_ever = 2.
-  REAL(r_std), SAVE  :: green_age_dec = 0.5
-  !-
-  ! stomate_soilcarbon
-  !-
+
+
+
+                             !------------------------!
+                             ! stomate_soilcarbon.f90 !
+                             !------------------------!
+
+  ! 2. Arrays 
+
+  ! frac_carb_coefficients
+  ! from active pool: depends on clay content
+  ! correspnding to  frac_carb(:,iactive,iactive)
+  REAL(r_std), SAVE      :: frac_carb_aa = 0.0
+  ! correspnding to  frac_carb(:,iactive,ipassive)
+  REAL(r_std), SAVE      :: frac_carb_ap = 0.004
+  !frac_carb(;;iactive,islow) is computed in stomate_soilcarbon.f90
+  !-
+  ! from slow pool
+  ! correspnding to  frac_carb(:,islow,islow)
+  REAL(r_std), SAVE      :: frac_carb_ss = 0.0  
+  ! correspnding to  frac_carb(:,islow,iactive)
+  REAL(r_std), SAVE      :: frac_carb_sa = .42
+  ! correspnding to  frac_carb(:,islow,ipassive)
+  REAL(r_std), SAVE      :: frac_carb_sp = .03
+  !-
+  ! from passive pool
+  ! correspnding to  frac_carb(:,ipassive,ipassive)
+  REAL(r_std), SAVE      :: frac_carb_pp = .0
+  ! correspnding to  frac_carb(:,ipassive,iactive)
+  REAL(r_std), SAVE      :: frac_carb_pa = .45
+  ! correspnding to  frac_carb(:,ipassive,islow)
+  REAL(r_std), SAVE      :: frac_carb_ps = .0
+
+
+  ! 3. Coefficients of equations
+
   REAL(r_std), SAVE      :: active_to_pass_clay_frac = .68  
   !residence times in carbon pools (days)
@@ -971,8 +1028,13 @@
   !
   REAL(r_std), SAVE, DIMENSION(3) :: flux_tot_coeff = (/ 1.2, 1.4, .75/)
-  !
-  !-
-  ! stomate_turnover
-  !-
+
+
+
+                             !----------------------!
+                             ! stomate_turnover.f90 !
+                             !----------------------!
+
+  ! 3.Coefficients of equations
+
   REAL(r_std), SAVE      ::  new_turnover_time_ref = 20.
   REAL(r_std), SAVE      ::  dt_turnover_time = 10. 
